# ChangeLog for app-editors/nano
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/nano/ChangeLog,v 1.95 2006/04/02 23:34:39 flameeyes Exp $

  02 Apr 2006; Diego Pettenò <flameeyes@gentoo.org> nano-1.3.9.ebuild,
  nano-1.3.11.ebuild:
  Update ~x86-fbsd keyword.

  30 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> nano-1.3.9.ebuild:
  Add ~x86-fbsd keyword.

*nano-1.3.11 (30 Mar 2006)

  30 Mar 2006; Mike Frysinger <vapier@gentoo.org> +nano-1.3.11.ebuild:
  Version bump.

*nano-1.3.10-r1 (03 Feb 2006)

  03 Feb 2006; Mike Frysinger <vapier@gentoo.org>
  +files/nano-1.3.10-crash.patch, -nano-1.3.10.ebuild,
  +nano-1.3.10-r1.ebuild:
  Grab fix from upstream for segfaults with some files #111564.

  17 Jan 2006; Stuart Longland <redhatter@gentoo.org> nano-1.3.9.ebuild:
  Marked nano-1.3.9 stable on mips as per bug #118946

  15 Jan 2006; Markus Rothe <corsair@gentoo.org> nano-1.3.9.ebuild:
  Stable on ppc64

  15 Jan 2006; Jason Wever <weeve@gentoo.org> nano-1.3.9.ebuild:
  Stable on SPARC wrt bug #118946.

  14 Jan 2006; Fabian Groffen <grobian@gentoo.org> nano-1.3.9.ebuild:
  Marked ppc-macos stable (bug #118946)

  14 Jan 2006; Marcus D. Hanwell <cryos@gentoo.org> nano-1.3.9.ebuild:
  Stable on amd64, bug 118946.

  14 Jan 2006; Jose Luis Rivero <yoswink@gentoo.org> nano-1.3.9.ebuild:
  Stable on alpha wrt bug #118946

  14 Jan 2006; Tobias Scherbaum <dertobi123@gentoo.org> nano-1.3.9.ebuild:
  ppc stable, bug #118946

  14 Jan 2006; Saleem Abdulrasool <compnerd@gentoo.org> nano-1.3.9.ebuild:
  stable on x86 as per bug #118946

  11 Jan 2006; Mike Frysinger <vapier@gentoo.org>
  +files/nano-1.3.10-disp.patch, nano-1.3.10.ebuild:
  Fix from upstream.

*nano-1.3.10 (24 Dec 2005)

  24 Dec 2005; Mike Frysinger <vapier@gentoo.org> +nano-1.3.10.ebuild:
  Version bump.

*nano-1.3.9 (26 Oct 2005)

  26 Oct 2005; Mike Frysinger <vapier@gentoo.org> +nano-1.3.9.ebuild:
  Version bump.

  03 Oct 2005; Mike Frysinger <vapier@gentoo.org> nano-1.3.8.ebuild:
  Pass --disable-wrapping-as-root to configure #107877.

  15 Sep 2005; Kito <kito@gentoo.org> nano-1.3.7.ebuild:
  stable on ppc-macos

  14 Sep 2005; Mike Frysinger <vapier@gentoo.org>
  +files/nano-1.3.8-display.patch, nano-1.3.8.ebuild:
  Fix from upstream for minor bug in display not being updated properly.

  03 Aug 2005; Bryan Østergaard <kloeri@gentoo.org> nano-1.3.7.ebuild:
  Stable on alpha.

*nano-1.3.8 (02 Jul 2005)

  02 Jul 2005; Mike Frysinger <vapier@gentoo.org> files/nanorc-gentoo,
  +nano-1.3.8.ebuild:
  Version bump.

*nano-1.2.5 (18 May 2005)

  18 May 2005; Mike Frysinger <vapier@gentoo.org> +nano-1.2.5.ebuild:
  Version bump.

*nano-1.3.7 (14 Apr 2005)

  14 Apr 2005; Mike Frysinger <vapier@gentoo.org> +nano-1.3.7.ebuild:
  Version bump.

*nano-1.3.6 (22 Mar 2005)

  22 Mar 2005; Mike Frysinger <vapier@gentoo.org>
  +files/nano-1.3.6-nomac.patch, +nano-1.3.6.ebuild:
  Version bump.

  28 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  27 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +files/nano-1.3.5-break_line.patch, nano-1.3.5.ebuild:
  Fix compilation because of conflicting types of break_line()

*nano-1.3.5 (22 Nov 2004)

  22 Nov 2004; Mike Frysinger <vapier@gentoo.org> +files/1.3.5-nomac.patch,
  +nano-1.3.5.ebuild:
  Version bump.

  19 Sep 2004; Bryan Østergaard,,, <kloeri@gentoo.org> nano-1.3.4.ebuild:
  Stable on alpha.

  19 Sep 2004; Joshua Kinard <kumba@gentoo.org> nano-1.3.4.ebuild:
  Marked stable on mips.

  09 Sep 2004; Gustavo Zacarias <gustavoz@gentoo.org> nano-1.3.4.ebuild:
  Stable on sparc

*nano-1.3.4 (08 Aug 2004)

  08 Aug 2004; Mike Frysinger <vapier@gentoo.org> :
  Version bump.

*nano-1.3.3-r1 (06 Jul 2004)

  09 Jul 2004; Mike Frysinger <vapier@gentoo.org>
  +files/1.3.3-debug-printf-fix.patch:
  Add patch by Jon Oberheide to fix building with USE=debug #56494 by Nanouck.

  06 Jul 2004; Mike Frysinger <vapier@gentoo.org>
  +files/1.3-nanopermsfix.patch, +nano-1.3.2-r1.ebuild, -nano-1.3.2.ebuild,
  +nano-1.3.3-r1.ebuild, -nano-1.3.3.ebuild:
  Add umask fix from upstream for #55780 by Toni Suokas.

  29 Jun 2004; Aron Griffis <agriffis@gentoo.org> nano-1.3.2.ebuild:
  stable on alpha, ia64

*nano-1.3.3 (28 Jun 2004)

  28 Jun 2004; Mike Frysinger <vapier@gentoo.org> +files/1.3.3-ifdeffix.patch,
  +files/1.3.3-nomac.patch, +files/1.3.3-ws-default-off.patch,
  +nano-1.3.3.ebuild:
  Version bumpage.

*nano-1.2.4 (27 Jun 2004)

  27 Jun 2004; Mike Frysinger <vapier@gentoo.org> +nano-1.2.4.ebuild:
  Version bump.

  05 Jun 2004; <tuxus@gentoo.org> nano-1.3.2.ebuild:
  Stable on mips

  01 Jun 2004; Aron Griffis <agriffis@gentoo.org> nano-1.2.2.ebuild:
  Fix use invocation

  04 May 2004; Bryan Østergaard <kloeri@gentoo.org> nano-1.3.1.ebuild:
  Stable on alpha.

  30 Apr 2004; Gustavo Zacarias <gustavoz@gentoo.org> nano-1.3.2.ebuild:
  Stable on sparc

  28 Apr 2004; Jon Portnoy <avenj@gentoo.org> nano-1.3.2.ebuild :
  Stable on x86 and AMD64.

  26 Apr 2004; Michael McCabe <randy@gentoo.org> nano-1.3.2.ebuild:
  stable on s390

  04 Apr 2004; Guy Martin <gmsoft@gentoo.org> :
  Marked stable on hppa.

*nano-1.3.2 (04 Apr 2004)

  04 Apr 2004; Mike Frysinger <vapier@gentoo.org> :
  Version bump.

*nano-1.2.3 (16 Jan 2004)

  29 Mar 2004; Gustavo Zacarias <gustavoz@gentoo.org> nano-1.2.3.ebuild:
  stable on sparc, thanks to txromeo for additional testing

  16 Jan 2004; Mike Frysinger <vapier@gentoo.org> :
  Version bump for stable tree.

*nano-1.3.1 (10 Jan 2004)

  26 Jan 2004; Mike Frysinger <vapier@gentoo.org> :
  Add local USE flags to control disabling mac output and white space converting.

  10 Jan 2004; Mike Frysinger <vapier@gentoo.org> :
  Version bump ... should fix input routines #34628 #34817.

*nano-1.3.0 (25 Oct 2003)

  25 Oct 2003; Mike Frysinger <vapier@gentoo.org> :
  Version bumpage.

*nano-1.2.2 (18 Aug 2003)

  17 Oct 2003; Aron Griffis <agriffis@gentoo.org> nano-1.2.2.ebuild:
  Stable on alpha

  02 Oct 2003; Mike Frysinger <vapier@gentoo.org> :
  Add patch to fix run away nano's #17878.

  30 Sep 2003; Joshua Kinard <kumba@gentoo.org> nano-1.2.2.ebuild:
  Changed ~mips to mips in KEYWORDS

  26 Sep 2003; Mike Frysinger <vapier@gentoo.org> :
  Add a bunch of example nanorc stuff and install to /etc/nanorc.

  18 Aug 2003; Mike Frysinger <vapier@gentoo.org> :
  Add back in optional slang support + add in debug support.
  Also fix symlink so it points at ../../bin/nano rather than /bin/nano.
  Also add in a small patch to add support for a 'tab conversion' character.

*nano-1.2.1 (25 Apr 2003)

  22 Jul 2003; Mike Frysinger <vapier@gentoo.org> :
  Add local USE flag justify to control the justify configure option.

  06 Jul 2003; Joshua Kinard <kumba@gentoo.org> nano-1.2.1.ebuild:
  Changed ~mips to mips in KEYWORDS

  20 Jun 2003; Jason Wever <weeve@gentoo.org> nano-1.2.1.ebuild:
  Changed ~sparc keyword to sparc.

  19 Jun 2003; Guy Martin <gmsoft@gentoo.org> nano-1.2.1.ebuild :
  Changed ~hppa to hppa in KEYWORDS.

  03 May 2003; Jon Portnoy <avenj@gentoo.org> nano-1.2.1.ebuild :
  Removed slang from IUSE since it's no longer used.

  25 Apr 2003; Jon Portnoy <avenj@gentoo.org> nano-1.2.1.ebuild :
  Version bump.

*nano-1.2.0 (22 Feb 2003)

  16 Apr 2003; Guy Martin <gmsoft@gentoo.org> nano-1.2.0.ebuild :
  Marked stable on hppa.

  29 Mar 2003; Christian Birchinger <joker@gentoo.org> nano-1.2.0.ebuild:
  Added sparc stable keyword

  09 Mar 2003; Aron Griffis <agriffis@gentoo.org> nano-1.2.0.ebuild:
  Mark stable on alpha

  28 Feb 2003; Zach Welch <zwelch@gentoo.org> nano-1.2.0.ebuild:
  add arm keyword dropped during version bump!!

  22 Feb 2003; Mike Frysinger <vapier@gentoo.org> :
  Version bump.

*nano-1.1.99_pre3 (14 Feb 2003)

  21 Feb 2003; Zach Welch <zwelch@gentoo.org> :
  Added arm to keywords.

  14 Feb 2003; Mike Frysinger <vapier@gentoo.org> :
  Version bump (thank god they fixed disable justify).

*nano-1.1.99_pre2 (06 Feb 2003)

  11 Feb 2003; Guy Martin <gmsoft@gentoo.org> :
  Added hppa to keywords.

  06 Feb 2003; Mike Frysinger <vapier@gentoo.org> :
  Version bump (god i hate justify).

*nano-1.1.99_pre1 (25 Jan 2003)

  25 Jan 2003; Mike Frysinger <vapier@gentoo.org> :
  Version bump #14521.

*nano-1.0.9-r2 (01 Dec 2002)
 
  18 Jan 2003; Jan Seidel <tuxus@gentoo.org> :
  Added mips to keywords

  06 Jan 2003; Seemant Kulleen <seemant@gentoo.org> nano-1.0.9-r2.ebuild :

  PROVIDE virtual/editor

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
  01 Dec 2002; Mike Frysinger <vapier@gentoo.org> :
  Added a symlink for /usr/bin/nano to /bin/nano #10916

*nano-1.0.9-r1 (30 Nov 2002)

  30 Nov 2002; Matthew Kennedy <mkennedy@gentoo.org>
  nano-1.0.9-r1.ebuild, files/digest-nano-1.0.9-r1,
  files/newfile-gentoo.patch, ChangeLog :

  Removed bizarre patch. Installed nano into /bin (resolves bug 11216 --
  Lack of text editor in / mount point). Removed slang option (which
  links into to /usr/ -- where does the madness end?)

*nano-1.0.9 (25 Sep 2002)

  23 Oct 2002; Mike Frysinger <vapier@gentoo.org> :
  Removed bootcd USE flag

  25 Sep 2002; Mike Frysinger <vapier@gentoo.org> :
  bumped version

*nano-1.0.8-r1 (12 Mar 2002)
	
  23 Oct 2002; Mike Frysinger <vapier@gentoo.org> :
  Removed bootcd USE flag

  15 Jul 2002; Owen Stampflee <owen@gentoo.org> :
  Added KEYWORDS.

  11 Apr 2002; Seemant Kulleen <seemant@gentoo.org> nano-1.0.8-r1.ebuild :

  I did not bump the revision number of this, but I added a flag to 
  disable text wrapping as root, for when nano is built for the bootcd
  or build environments.  This means that the nano -w instruction in
  our Gentoo Installation docs will need to be adjusted to just say
  "nano" now.  Thanks to chrisa@asty.org (Chris Allegretta) in bug
  # 1565

  12 Mar 2002; Seemant Kulleen <seemant@gentoo.org>
  Add USE-conditional nls compilation

*nano-1.0.8 (20 Feb 2002)

  20 Feb 2002; Aron Griffis <agriffis@gentoo.org> nano-1.0.8.ebuild :
  Updated to 1.0.8.  Added USE-conditional slang compilation.

*nano-1.0.6 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that
  the comments should well explained and written in clean English. The
  details about writing correct changelogs are explained in the
  skel.ChangeLog file which you can find in the root directory of the
  portage repository.
